import { Link, Stack } from "@chakra-ui/react";
import React from "react";
import { useHistory } from "react-router-dom";
import { Box, Avatar as ChakraAvatar, Menu, MenuList, MenuItem, MenuButton } from "@chakra-ui/react";
import { useAuth } from './../../hooks/auth';

const Avatar = () => {
  const history = useHistory();
  const auth = useAuth();

  const logout = () => {
    auth.logout();
  }

  const myBusiness = () => {
    history.push('/mybusiness');
  }

  const registerBusiness = () => {
    history.push('/businesses/register/1');
  }

  return (
    <Box mr="4">
      {
        auth.user ? (
          <Stack direction={["row"]} spacing="24px" align={"center"}>
            <Menu>
              <MenuButton>
                <ChakraAvatar src="https://bit.ly/broken-link" />
              </MenuButton>
              <MenuList>
                {auth.user.business ?
                  (<MenuItem onClick={myBusiness}>
                    El meu negoci
                  </MenuItem>)
                  : (<MenuItem onClick={registerBusiness}>
                    Crear negoci
                  </MenuItem>)
                }
                <MenuItem onClick={logout}>Sortir</MenuItem>
              </MenuList>
            </Menu>
          </Stack>
        )
          : (<div>
            <Stack direction={["row"]} spacing="24px">
              <Link onClick={() => history.push("/register")} colorScheme={'purple'}>Registra't</Link>
              <Link onClick={() => history.push("/login")} colorScheme={'purple'}>Entra</Link>
            </Stack>
          </div>)
      }
    </Box>
  )
}

export default Avatar;