import {deleteStorageObject, getStorageObject, setStorageObject} from "./storage";

export const getAccessToken = () => {
  const tokens = getStorageObject("tokens");
  if(tokens){
    return tokens.access.token;
  }
  return undefined;
}

export const getRefreshToken = () => {
  const tokens = getStorageObject("tokens");
  if(tokens){
    return tokens.refresh.token;
  }
  return undefined;
}

export const setSessionTokens = (tokens) =>{
  setStorageObject("tokens", tokens);
}

export const getSessionUser = () => {
  const user = getStorageObject("user");
  if(user){
    return user;
  }
  return undefined;
}

export const setSessionUser = (sessionData) =>{
  setStorageObject("user", sessionData);
}

export const removeUser = () => {
  deleteStorageObject("user");
  deleteStorageObject("tokens");
}
