import { api, apiFile } from '../api';

const getBusinesses = async () => {
  const { data } = await api.get("/business");
  return data;
}

const createBusiness = async ({ payload }) => {
  return await api.post("/business", payload);
}

const uploadImages = async (businessId, formData) => {
  const { data } = await apiFile.post(`/business/${businessId}/images`, formData);
  return data;
}

const getBusinessByUserId = async ({ userId }) => {
  const { data } = await api.get(`/business/user/${userId}`);
  return data;
}

const getBusinessById = async ({ businessId }) => {
  const { data } = await api.get(`/business/${businessId}`);
  return data;
}

export {
  getBusinesses,
  createBusiness,
  uploadImages,
  getBusinessByUserId,
  getBusinessById
}