import React from 'react';
import { Flex, Box } from '@chakra-ui/react';
import BusinessRegisterForm from './BusinessRegisterForm';
import UploadImages from './UploadImages';
import { useAuth } from '../../hooks/auth';
import { useHistory } from 'react-router-dom';

const BusinessRegister = ({ status }) => {
  const { user } = useAuth();
  const history = useHistory();

  if (user.business && user.business.status === 'finished') {
    history.push('/mybusiness');
  }
  console.log(user.business);
  if (user.business && user.business.status === 'missingImages') {
    console.log('entra');
    history.push('/businesses/register/2');
  }

  return (
    <div>
      <Flex
        minHeight='100vh'
        align='center'
        justifyContent='space-evenly'
        px={10}
      >
        <Box
          borderWidth={1}
          px={4}
          w='full'
          borderRadius={4}
          textAlign='center'
          boxShadow='lg'
          bg="white"
        >
          <Box p={4}>
            {status === 'creating' && (<BusinessRegisterForm />)}
            {status === 'missingImages' && (<UploadImages />)}
          </Box>
        </Box>
      </Flex>
    </div>
  );

}

export default BusinessRegister;