import React from "react";
import styles from "./home.module.css";
import { Flex, Box, SimpleGrid, Text, Heading, Image, Button } from '@chakra-ui/react';
import location from "../../images/undraw/location.svg";
import { useHistory } from "react-router-dom";

const Home = () => {
  const history = useHistory();

  return (
    <div>
      <SimpleGrid columns={2} spacing={10} mx={8} marginTop={10}>
        <Flex direction="column" align="center" justifyContent="center" mt={20}>
          <Box>
            <Heading
              bgGradient="linear(to-l, #7928CA,#FF0080)"
              bgClip="text"
              fontWeight="extrabold"
              size="4xl"
              mt={20}
            >
              Nearly
            </Heading>
            <Box w={500} mt={10}>
              <Text fontSize="lg">
                El comerç de proximitat mai havia estat tan a prop de tu. Descobreix els
                comerços de quilòmetre zero propers, amb la qualitat i seguretat de sempre.
              </Text>
            </Box>
          </Box>
          <Button
            bgGradient="linear(to-l, #7928CA,#FF0080)"
            width='sm'
            mt={10}
            color="white"
            _hover={{
              bgGradient: "linear(to-r, red.500, yellow.500)",
            }}
            onClick={() => history.push('/businesses')}
          >
            Som-hi!
          </Button>
        </Flex>
        <Flex direction="column" align="center" mt={20}>
          <div className={styles.imageContainer}>
            <Image src={location} />
          </div>
        </Flex>
      </SimpleGrid>
    </div>
  )
};

export default Home;