import React from 'react';
import {
  Box,
  Flex,
  Image,
} from '@chakra-ui/react'
import styles from './login.module.css';
import LoginHeader from "./LoginHeader";
import LoginForm from "./LoginForm";
import neighbours from "./../../images/undraw/neighbours.svg";

const Login = () => {
  return (
    <div>
      <Flex
        minHeight='100vh'
        align='center'
        justifyContent='space-evenly'
      >
        <div className={styles.imageContainer}>
          <Image src={neighbours} />
        </div>
        <Box
          borderWidth={1}
          px={4}
          w='full'
          maxWidth='500px'
          borderRadius={4}
          textAlign='center'
          boxShadow='lg'
          bg="white"
        >
          <Box p={4}>
            <LoginHeader />
            <LoginForm />
          </Box>
        </Box>
      </Flex>
    </div>
  )
}

export default Login;