import React, { useState, useEffect } from 'react';
import BusinessDetails from './BusinessDetails';
import { Flex, Box } from '@chakra-ui/react';
import { useAuth } from '../../hooks/auth';
import { getBusinessByUserId } from '../../helpers/business';

const MyBusiness = () => {
  const [business, setBusiness] = useState(null);
  const { user } = useAuth();

  useEffect(() => {
    const getBusiness = async (userId) => {
      setBusiness(await getBusinessByUserId({ userId }));
    }
    getBusiness(user.id);
  }, [user]);
  return (
    <div>
      <Flex
        minHeight='100vh'
        align='center'
        justifyContent='space-evenly'
        px={10}
      >
        <Box
          borderWidth={1}
          px={4}
          w='full'
          borderRadius={4}
          textAlign='center'
          boxShadow='lg'
          bg="white"
        >
          <Box p={4}>
            {business && <BusinessDetails business={business} />}
          </Box>
        </Box>
      </Flex>
    </div>
  )
}

export default MyBusiness;