import React from 'react';
import {
  Box,
  Flex,
  Image,
} from '@chakra-ui/react'
import styles from './register.module.css';
import setup from "./../../images/undraw/setup_orange.svg";
import RegisterHeader from "./RegisterHeader";
import RegisterForm from "./RegisterForm";

const Register = () => {
  return (
    <div>
      <Flex
        minHeight='100vh'
        align='center'
        justifyContent='space-evenly'
      >
        <div className={styles.imageContainer}>
          <Image src={setup} />
        </div>
        <Box
          borderWidth={1}
          px={4}
          w='full'
          maxWidth='500px'
          borderRadius={4}
          textAlign='center'
          boxShadow='lg'
          bg="white"
        >
          <Box p={4}>
            <RegisterHeader />
            <RegisterForm />
          </Box>
        </Box>
      </Flex>
    </div>
  )
}

export default Register;